com.h3c.util.persistence.cassandra.entitymgr.column

## Class DateColumn.DateColumnDecoder<K extends Serializable & Comparable<K>>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.entitymgr.column.DateColumn.DateColumnDecoder<K>

- Type Parameters:
    `K` - type of the column key or name
  All Implemented Interfaces:
    Decoder<Column<K,Date>,com.netflix.astyanax.model.Column<K>>, ColumnDecoder<K,Date>
  Enclosing class:
    DateColumn<K extends Serializable & Comparable<K>>

      public static final class DateColumn.DateColumnDecoder<K extends Serializable & Comparable<K>>
      extends Object
      implements ColumnDecoder<K,Date>

  Date column decoder.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Column<K,Date>` | `decode(com.netflix.astyanax.model.Column<K> code)` Decodes a code to reconstruct the original entity.
    `static <K extends Serializable & Comparable<K>> ColumnDecoder<K,Date>` | `getInstance()` Returns the single instance of this class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static <K extends Serializable & Comparable<K>> ColumnDecoder<K,Date> getInstance()

      Returns the single instance of this class.
      Returns:
        ColumnDecoder

    - #### decode

          public Column<K,Date> decode(com.netflix.astyanax.model.Column<K> code)
                                                                    throws IllegalArgumentException

      Description copied from interface: `Decoder`
      Decodes a code to reconstruct the original entity.
      Specified by:
        `decode` in interface `Decoder<Column<K extends Serializable & Comparable<K>,Date>,com.netflix.astyanax.model.Column<K extends Serializable & Comparable<K>>>`
      Parameters:
        `code` - code representing an entity.
      Returns:
        an entity with the state given by the code.
      Throws:
        `IllegalArgumentException` - if `code` does not have the appropriate format.

Copyright © 2014. All Rights Reserved.